#include <cstdio>
#include <cmath>
#include <cstring>
#include <iomanip>
#include <vector>
#include <stack>
#include <bitset>
#include <map>
#include <iostream>
#include <algorithm>
#include <string>
using namespace std;
long long n1,n,a,x,s,d;
int main(){
    cin>>n>>a;
    n1=n;
    if(n<a*3){cout<<-1<<endl;return 0;}
    cout<<0<<" "<<a<<endl;
    n-=a;
    if(n&1 and !a&1)x=0;
    else if(n&1){x=1;n--;}
    else if(!a&1){x=1;n--;}
    else x=0;
    n-=a;
    if(n>=a*2){
        s=n/2-1;d=n/2+1;
    }
    else {
        s=n-a;d=a;
    }
    if(d-s==3){
        s++;
        if(x>0)x--;
        else if(d>a)d--;
        else {cout<<-1<<endl;;return 0;}
    }
    x+=n1-(x+a+s+d+a);
    cout<<x<<" "<<a<<endl;
    cout<<s<<" "<<d<<endl;

return 0;
}